=== examples/inference/pippy/requirements.txt ===
accelerate
pippy>=0.2.0
