=== debian/changelog ===
accelerate (1.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1109901)

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Sat, 26 Jul 2025 01:20:30 +0000
