=== debian/control ===
Source: accelerate
Section: python
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-numpy,
 python3-psutil,
 python3-yaml,
 python3-packaging,
 python3-torch | python3-torch-cuda | python3-torch-rocm,
 python3-huggingface-hub,
 python3-safetensors
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/huggingface/accelerate
Vcs-Browser: https://salsa.debian.org/deeplearning-team/accelerate
Vcs-Git: https://salsa.debian.org/deeplearning-team/accelerate.git

Package: python3-accelerate
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Run your *raw* PyTorch training script on any kind of device
 Accelerate was created for PyTorch users who like to write the training 
 loop of PyTorch models but are reluctant to write and maintain the 
 boilerplate code needed to use multi-GPUs/TPU/fp16.
