=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=accelerate

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	true
