=== debian/tests/control ===
Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_accelerator.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-accelerator

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_big_modeling.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         python3-transformers,
         @
Restrictions: allow-stderr
Features: test-name=pytest-big-modeling

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_compile.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         python3-wheel,
         python3-setuptools,
         @
Restrictions: allow-stderr
Features: test-name=pytest-compile

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_data_loader.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-data-loader

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_examples.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-examples

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_fp8.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-fp8

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_grad_sync.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-grad-sync

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_hooks.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-hooks

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_imports.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-imports

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_kwargs_handlers.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-kwargs-handlers

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_launch.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-launch
