=== debian/changelog ===
accelerate (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Add myself as uploaders (as GSoC mentor).
  * Add g++ dependency to one autopkgtest test case.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Dec 2025 21:29:45 -0500
