=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
+Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>,
+           Mo Zhou <lumin@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
